Bug 48821 - 7.1 crashes when upgrading from 6.0
Summary: 7.1 crashes when upgrading from 6.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-11 22:00 UTC by David Willis
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-18 15:59:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Willis 2001-07-11 22:00:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
When I run the 7.1 installer to upgrade from 6.0 on my system, it crashes, 
but gives me a different error each time.  Sometimes I get a python error, 
other times it says "failed to dind /modules/modules-info", 
sometimes "exec: Input/output error", and so on.  I can't get it to fail 
the same way twice in a row, and it doesn't seem to matter whether I run 
it in graphical or text mode - same results.  The system runs 6.0 happily, 
so I don't think it's a hardware issue: I'm running a AMD K6-2 300mHz on a 
Tyan Trinity 100AT, with 32 mb ram.  Any ideas?

How reproducible:
Always

Steps to Reproduce:
1.Boot the computer from the CD
2.
3.
	

Actual Results:  Varies from time to time.  Sometimes you get as far as 
choosing where to install from (i.e. local CDROM), other times it crashes 
at the first blue screen.

Expected Results:  It should go right into the installer.

Additional info:

Comment 1 Matt Wilson 2001-07-11 22:10:30 UTC
boot with "linux ide=nodma" if that works, run:

for I in /proc/ide/hd*; do echo $I; cat $I/model; done

on your system and attach that info here.


Comment 2 David Willis 2001-07-11 22:24:09 UTC
No luck.  Got the "failed to read /modules/modules-info" again.

Comment 3 Matt Wilson 2001-07-12 14:44:22 UTC
Please try making a boot disk from boot.img and boot the installer from that.


Comment 4 David Willis 2001-07-13 11:34:51 UTC
I made the boot disk, but same problem running the installer - either it tells 
me "failed to find /modules/modules-info" or I get a python error ("could not 
find platorm independent libraries").

Comment 5 David Willis 2001-07-15 16:28:44 UTC
OK, I found the problem.  I swapped out the CD-Rom drive (I tried changing 
everything else, why not), and presto!  Install ran beautifully the first 
time.  The drive that gave me the problems was an Acer 640A-172.  Don't know 
why it was happy under 6.0 and unhappy under 7.1, but there it is.

Comment 6 Brent Fox 2001-07-18 15:59:26 UTC
Glad to hear that you found the problem.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.